#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
  int A,B,C,TMP;
  int vetor[6];

  vetor[0]=33; 
  vetor[1]=34; 
  vetor[2]=35;
  vetor[3]=0; 
  vetor[4]=12; 
  vetor[5]=99;

  A = vetor[3];
  B = vetor[4];
  C = vetor[5];
  TMP = vetor[0];

  while ( (A < C) && (B > 0) )
  {
     A=A+1;
     B=B-1;
  }
  printf ("Ponto_1: A=%d B=%d C=%d TMP=%d\n",A,B,C,TMP);

  TMP = B;
  B = C;
  C = TMP;
  printf ("Ponto_2: A=%d B=%d C=%d TMP=%d\n",A,B,C,TMP);

  A = B = C = 0;
  A = A + vetor[0];
  A = A + vetor[1];
  A = A + vetor[2];
  B = B + vetor[3];
  B = B + vetor[4];
  B = B + vetor[5];
  C = A + B;
  printf ("Ponto_3: A=%d B=%d C=%d TMP=%d\n",A,B,C,TMP);

  system("PAUSE");
  return 0;
}
